## Function template add_console_log

boost::log::add_console_log

## Synopsis

    // In header: <boost/log/utility/setup/console.hpp>

    template<typename CharT, typename... ArgsT>
      shared_ptr< sinks::synchronous_sink< sinks::basic_text_ostream_backend< CharT > > >
      add_console_log(std::basic_ostream< CharT > & strm, ArgsT... const & args);

## Description

The function constructs sink for the specified console stream and adds it to the core

Parameters:

`strm` | One of the standard console streams: `std::cout`, `std::cerr` or `std::clog` (or the corresponding wide-character analogues).

`args`

Optional additional named arguments for the sink initialization. The following arguments are supported:

- `filter` Specifies a filter to install into the sink. May be a string that represents a filter, or a filter lambda expression.

- `format` Specifies a formatter to install into the sink. May be a string that represents a formatter, or a formatter lambda expression (either streaming or Boost.Format-like notation).

- `auto_flush` A boolean flag that shows whether the sink should automatically flush the stream after each written record.

- `auto_newline_mode` - Specifies automatic trailing newline insertion mode. Must be a value of the `auto_newline_mode` enum. By default, is `auto_newline_mode::insert_if_missing`.

Returns: | Pointer to the constructed sink.